Subject: bug#69426: 29.2; Let eglot-rename suggest thing-at-point when renaming

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Feb 2024 15:33:33 +0200

> From: Chmouel Boudjnah <[email-masked]>
> Date: Tue, 27 Feb 2024 13:59:26 +0100
> 
> When using eglot-rename it asks for a new name (for the variable for
> example) to rename to, it would be nice if there was a way to have the
> current thing-at-point suggested as the new name.
> 
> Usually when renaming a variable you want to rename it to something that
> is related to the current name with the defautl behavior you have to
> type the current name manually.

You don't need to type the current name manually, you can instead
press <DOWN> arrow or M-n, and Emacs will "type" the current name for
you.  So after that you only need to edit the current name to the new
name.  Isn't that what you wanted?